#
# Conditional build:
%bcond_without	java	# Java/JNI support

Summary:	Cartographic projection software
Summary(pl.UTF-8):	Oprogramowanie do rzutów kartograficznych
Name:		proj
Version:	9.5.1
Release:	1
Group:		Libraries
License:	MIT
Source0:	http://download.osgeo.org/proj/%{name}-%{version}.tar.gz
# Source0-md5:	07c44ca4a65a0664ce823c8448707c78
Source1:	http://download.osgeo.org/proj/%{name}-pdf-docs.tar.gz
# Source1-md5:	7c8f48f0fddf0d5730f4b27b3f09e6c1
Source2:	https://raw.githubusercontent.com/OSGeo/proj-datumgrid/master/scripts/nad2bin.c
# Source2-md5:	d061e9107864c06c997cda0910de81bc
URL:		http://proj.org/
BuildRequires:	cmake
%{?with_java:BuildRequires:	jdk}
BuildRequires:	libtool
BuildRequires:	rpm-build >= 4.6
Obsoletes:	proj-static < 9.5.1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Cartographic projection software.

%description -l pl.UTF-8
Oprogramowanie do rzutów kartograficznych.

%package devel
Summary:	proj header files
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki proj
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
This package contains proj header files.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe niezbędne do tworzenia aplikacji
korzystających z biblioteki proj.

%package progs
Summary:	Cartographic projection software
Summary(pl.UTF-8):	Oprogramowanie do rzutów kartograficznych
Group:		Applications
Requires:	%{name} = %{version}-%{release}

%description progs
Package contains cartographic projection and coordinate system
filters.

%description progs -l pl.UTF-8
Ten pakiet zawiera filtry do rzutów kartograficznych i układów
współrzędnych.

%package doc
Summary:	Manuals for cartographic projection software
Summary(pl.UTF-8):	Dokumentacja do oprogramowania proj
Group:		Documentation
Requires:	%{name} = %{version}-%{release}
BuildArch:	noarch

%description doc
Manuals for cartographic projection software.

%description doc -l pl.UTF-8
Dokumentacja do oprogramowania do rzutów kartograficznych proj.

%prep
%setup -q -a1
cp %{SOURCE2} .

%build
mkdir -p build
cd build

%cmake ../

%{__make}

# build nad2bin, removed from proj but required by e.g. grass.spec
%{__cc} %{rpmcflags} %{rpmldflags} -o nad2bin ../nad2bin.c

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

install build/nad2bin $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS.md COPYING ChangeLog CITATION NEWS.md README.md
%attr(755,root,root) %{_libdir}/libproj.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libproj.so.25
%{_datadir}/proj

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libproj.so
%{_includedir}/proj
%{_includedir}/geodesic.h
%{_includedir}/proj.h
%{_includedir}/proj_constants.h
%{_includedir}/proj_experimental.h
%{_includedir}/proj_symbol_rename.h
%{_pkgconfigdir}/proj.pc
%{_libdir}/cmake/proj
%{_libdir}/cmake/proj4

%files progs
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/cct
%attr(755,root,root) %{_bindir}/cs2cs
%attr(755,root,root) %{_bindir}/geod
%attr(755,root,root) %{_bindir}/gie
%attr(755,root,root) %{_bindir}/invgeod
%attr(755,root,root) %{_bindir}/invproj
%attr(755,root,root) %{_bindir}/nad2bin
%attr(755,root,root) %{_bindir}/proj
%attr(755,root,root) %{_bindir}/projinfo
%attr(755,root,root) %{_bindir}/projsync
%{_mandir}/man1/cct.1*
%{_mandir}/man1/cs2cs.1*
%{_mandir}/man1/geod.1*
%{_mandir}/man1/gie.1*
%{_mandir}/man1/proj.1*
%{_mandir}/man1/projinfo.1*
%{_mandir}/man1/projsync.1*

%files doc
%defattr(644,root,root,755)
%doc *.pdf
%changelog
* Sun Dec 08 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/proj.git;a=log;h=master

* Sun Dec 08 2024 Jan Rękorajski <baggins@pld-linux.org> 9718376
- up to 9.5.1

* Thu Jan 19 2023 Jakub Bogusz <qboosh@pld-linux.org> 65fc72a
- rpm version for noarch subpackage

* Sun Feb 28 2021 Jan Rękorajski <baggins@pld-linux.org> 1ff50d0
- unconditional noarch subpackages

* Sat Jan 09 2021 Bartek Szady <bszx@bszx.eu> 541f9ee
- updated to 6.3.2

* Tue Jul 02 2019 Adam Gołębiowski <adamg@pld-linux.org> 1f3a62d
- updated to 6.1.1

* Sat May 18 2019 Adam Gołębiowski <adamg@pld-linux.org> 8b0cc1c
- updated to 6.1.0

* Sun Apr 07 2019 Adam Gołębiowski <adamg@pld-linux.org> b4545e9
- release 2, build and package nad2bin

* Sun Mar 31 2019 Jakub Bogusz <qboosh@pld-linux.org> 913a904
- Merge remote-tracking branch 'origin/DEVEL-proj-5'

* Sun Mar 31 2019 Adam Gołębiowski <adamg@pld-linux.org> 41a2f66
- updated to 6.0.0 (soname change)

* Wed Dec 19 2018 Jakub Bogusz <qboosh@pld-linux.org> 232f8f8
- updated to 5.2.0 (new soname, API incompatibilities)

* Mon May 07 2018 Jakub Bogusz <qboosh@pld-linux.org> 33c1ec4
- new URLs, updated to 4.9.3 (note: new soname)

* Sun Dec 11 2016 Elan Ruusamäe <glen@delfi.ee> 0c71101
- noarch -doc

* Sun Mar 06 2016 Jakub Bogusz <qboosh@pld-linux.org> 988f9b0
- updated to 4.9.2

* Wed May 20 2015 Jakub Bogusz <qboosh@pld-linux.org> 992971c
- updated to 4.9.1 (note: new soname)
- removed obsolete missing patch

* Sun Mar 01 2015 Elan Ruusamäe <glen@delfi.ee> 61d06a8
- x32 rebuild
- release 3 (by relup.sh)

* Sun Oct 21 2012 Jan Rękorajski <baggins@pld-linux.org> 13c3866
- rebuild to fix broken filedigests
- release 2 (by relup.sh)

* Sat Sep 29 2012 Jakub Bogusz <qboosh@pld-linux.org> dd50c3a
- added am patch (fixes build with automake 1.12 or so)

* Thu Mar 15 2012 Jakub Bogusz <qboosh@pld-linux.org> e798650
- updated to 4.8.0
- added missing patch (with missing org_proj4_PJ.h file taken from git)

* Wed Jul 07 2010 Jacek Konieczny <jajcus@pld-linux.org> 8f7ac38
- make the install directory, so inv* links are properly installed

* Fri Jun 18 2010 Jakub Bogusz <qboosh@pld-linux.org> 0d136fd
- updated to 4.7.0
- more verbose files

